function init()

  -- get location
  local loc = FindLocation("spawnpoint")
  local locLoad = FindLocation("load")  

  local locTrans = GetLocationTransform(loc)
  local locTransLoad = GetLocationTransform(locLoad)
  
  --get editor guide
  local guide = FindShape("guide")
  
  --remove it
  Delete(guide)
  
  -- predefined table
  -- If you wanna add more colors extend the list and 
  --add a new line with the RGB Value
  local colors =
  {
    {229, 73, 73},
    {68, 104, 173},
    {204, 188, 124},
	{ 137, 204, 124},
	{237, 168, 119},
	{188,119,237},
	{237,119,119},
	{119,237,209},
	{40,40,40},	
	{255,255,255},	
	{107,247,206},	
	{206, 169, 96},	
	{192, 33, 56},	
  }
  
      -- predefined table of variants
	  -- If you wanna add more variants extend the list and 
	  --add a new line with the name of the object in Magicavoxel.
	  
  local variant =
  {
  }	  
	  	  
	  
  -- get random color
  local color = colors[math.random(1,#colors)]
  
  
  -- Choose a random VOX File to use as the trailer.
  -- To add more trailers, just add the path to the directory here. 
  -- Make sure the location in Magicavoxel is identical.
    local voxfile =
  {
	"MOD/Vox/vehicle_semitruck-us.vox",
	"MOD/Vox/vehicle_safecomp_trailer_US.vox",	
	"MOD/Vox/vehicle_flatbed_trailer_US.vox",	
	"MOD/Vox/vehicle_electrans_trailer_US.vox",		
	"MOD/Vox/vehicle_babbage_trailer_US.vox",			
  }
  
    -- Choose a random trailer load.
	-- To add more loads, just make a group with various props in the editor
	-- Then convert to prefab, and add directory to table.
	
    local xmlLoad =
  {
	"MOD/Spawn/load_chairs.xml",
	"MOD/Spawn/load_junk.xml",
	"MOD/Spawn/load_safes.xml",			
	"", --This is the empty load so a truck may spawn without a load.
  }  

  -- set colors from random color
  local r = color[1]/255
  local g = color[2]/255
  local b = color[3]/255
  
          -- get random file
  local voxVersion = voxfile[math.random(1,#voxfile)]
  
            -- get random load
  local loadToUse = xmlLoad[math.random(1,#xmlLoad)]
 
      -- set file
  local fileUsed = voxVersion
  
        -- set load xml
  local loadUsed = loadToUse
  
  -- create xml
local xml = '\
		<vehicle name="American Semi" sound="semitruck" spring="0.5" damping="0.5" acceleration="5" strength="5" antispin="1" antiroll="0.6" difflock="0.5" steerassist="0.2"> \
			<body pos="0 0.8 -1.1" dynamic="true"> \
				<vox pos="-0.05 -0.5 0.9" strength="3" file="MOD/vox/vehicle_semitruck-us.vox" object="body"> \
					<light pos="0.8 0.7 -3.6" rot="0 180 0" type="cone" color="1 0.9 0.8" scale="30" penumbra="30" unshadowed="0.2" glare="0.4"/> \
					<light pos="-0.7 0.7 -3.6" rot="0 180 0" type="cone" color="1 0.9 0.8" scale="30" penumbra="30" unshadowed="0.2" glare="0.4"/> \
					<light pos="-0.8 0.45 3.7" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \
					<light pos="0.9 0.45 3.7" type="area" color="1 0.1 0.1" size="0.2 0.1" unshadowed="0.2" glare="0.2"/> \
					<location tags="exhaust" pos="1 3 -1.4" rot="-90 0 0"/> \
					<location tags="vital" pos="0.1 1.1 -3.4"/> \
					<location tags="camera" pos="0.1 1.7 -0.8"/> \
					<location tags="exhaust" pos="-0.9 3 -1.4" rot="-90 0 0"/> \
					<location tags="player" pos="-0.25 1.9 -1.8"/> \
					<voxbox pos="1.2 0.5 0.4" rot="0.0 -180.0 0.0" size="23 24 41" color="'..r..' '..g..' '..b..'" brush="MOD/Vox/vehicle_semitruck-us.vox" object="accents"/> \
				</vox> \
				<wheel name="br1" pos="0.35 -0.35 2.45" drive="1"> \
					<vox pos="0.3 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_br"/>  \
				</wheel> \
				<wheel name="br2" pos="0.35 -0.35 3.85" drive="1"> \
					<vox pos="0.3 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_br"/> \
				</wheel> \
				<wheel name="bl1" pos="-0.35 -0.35 2.45" drive="1"> \
					<vox pos="-0.4 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel name="bl2" pos="-0.35 -0.35 3.85" drive="1"> \
					<vox pos="-0.4 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel name="fl" pos="-0.75 -0.35 -2.25" steer="1"> \
					<vox pos="-0.2 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_fl"/> \
				</wheel> \
				<wheel name="fr" pos="0.75 -0.35 -2.25" steer="1"> \
					<vox pos="0.1 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_fr"/> \
				</wheel> \
			</body> \
			<body name="Semi-trailer" pos="0.05 1.5 6.7" dynamic="true"> \
				<vox pos="-0.1 -1.2 0.1" file="'..fileUsed..'"  texture = "5 0.4" object="trailer"> \
					<joint pos="0.1 0.7 -4.8" rot="-90 90 0" type="hinge" limits="-70 70"/> \
					<light pos="-0.75 0.5 6.1" type="area" color="1 0.1 0.1" size="0.3 0.2" unshadowed="0.2" glare="0.2"/> \
					<light pos="0.85 0.5 6.1" type="area" color="1 0.1 0.1" size="0.3 0.2" unshadowed="0.2" glare="0.2"/> \
					<body pos="0 0.9 6.1" dynamic="true"> \
						<vox strength="5" file="MOD/vox/vehicle_semitruck-us.vox" object="door"> \
							<joint rot="0 90 90" type="hinge" rotstrength="0.07" rotspring="0" collide="true" limits="0 120"/> \
						</vox> \
					</body> \
				</vox> \
				<wheel pos="-0.5 -1.05 1.75"> \
					<vox pos="-0.4 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel pos="-0.5 -1.05 2.95"> \
					<vox pos="-0.4 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel pos="-0.5 -1.05 4.15"> \
					<vox pos="-0.4 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_bl"/> \
				</wheel> \
				<wheel pos="0.4 -1.05 4.15"> \
					<vox pos="0.3 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_br"/> \
				</wheel> \
				<wheel pos="0.4 -1.05 2.95"> \
					<vox pos="0.3 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_br"/> \
				</wheel> \
				<wheel pos="0.4 -1.05 1.75"> \
					<vox pos="0.3 -0.45 0.05" file="MOD/vox/vehicle_semitruck-us.vox" object="wheel_br"/>  \
				</wheel> \
			</body> \
		</vehicle> '
	
  -- spawn the thing
  Spawn(loadUsed, locTransLoad)
  Spawn(xml, locTrans)
end